Subject: Re: linux-next: manual merge of the akpm with the block tree

From: Christoph Hellwig <[email-masked]>
Date: Thu, 22 Sep 2011 09:37:17 -0400

On Thu, Sep 22, 2011 at 06:26:25PM +1000, Stephen Rothwell wrote:
> Hi Andrew,
> 
> Today's linux-next merge of the scsi-post-merge tree got a conflict in
> drivers/block/brd.c between commit 5a7bbad27a41 ("block: remove support
> for bio remapping from ->make_request") from the block tree and commit
> 4559c71773c5 ("brd_make_request() always returns 0, which doesn't make
> much sense") from the akpm tree.

Where did the latter patch come from?  Given that brd_make_request is
for the ramdisk driver that never does remapping returning anything but
zero would be a bug anyway.